.TH dbm_open() "" "" "NDBM Function (libgdbm)"
.PC "Open an NDBM data base"
.B "#include <ndbm.h>"
\fBDBM *\fIdbm_open (\fIdatabase\^\fB, \fItype\^\fB, \fImode\^\fB)\fR
\fBchar *\fIdatabase\^\fB;\fR
\fBint \fItype\^\fB, \fImode\^\fB;\fR
.PP
Function
.B dbm_open()
opens
.IR database .
Parameters
.I type
and
.I mode
are the same as for the system call
.BR open() ;
for details, see its Lexicon entry.
.PP
To close
.IR database ,
call
.BR dbm_close() .
.PP
.B dbm_open()
returns the address of the name of the data base it has opened.
If something has gone wrong, it returns NULL.
.SH "See Also"
.XR "dbm_close()," dbm_close
.XR "ndbm.h," ndbm.h
.XR "libgdbm" libgdbm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
